import java.util.Date;
import java.lang.reflect.*;


public class CrashJni2 {
    static {
        System.loadLibrary("CrashJni2");
    }

    public static void main(String[] args) throws Exception {
        CrashJni2 o = new CrashJni2();
        System.out.println("create instance");
        Date d = o.test();
        System.out.println(d);

        System.out.println("get class");
        System.out.println(d.getClass());

        System.out.println("call same declaration method");
        System.out.println(d.toString());

        System.out.println("call method as integer");
        Integer i = (Integer) ((Object) d);
        System.out.println(i.intValue());

        System.out.println("call method");
        System.out.println(d.getTime());
    }

    public native Date test();
}